/*
Copyright (c) 2018-2020 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import { styled } from '../styles/index.js';
const animationStyle = {
  animationTimingFunction: 'ease-in-out',
  animationDuration: '2s',
  animationIterationCount: 'infinite',
  animationName: {
    '0%': {
      opacity: 1
    },
    '50%': {
      opacity: 0.4
    },
    '100%': {
      opacity: 1
    }
  }
};
export const StyledRoot = styled('div', props => {
  if (typeof props.$rows === 'number' && props.$rows !== 0) {
    return {
      display: 'flex',
      flexDirection: 'column',
      height: props.$height,
      width: props.$width
    };
  }

  return { ...(props.$animation ? animationStyle : {}),
    backgroundColor: props.$theme.colors.backgroundTertiary,
    height: props.$height,
    width: props.$width
  };
});
StyledRoot.displayName = "StyledRoot";
export const StyledRow = styled('div', props => {
  return { ...(props.$animation ? animationStyle : {}),
    backgroundColor: props.$theme.colors.backgroundTertiary,
    width: '100%',
    height: '15px',
    marginBottom: props.$isLastRow ? '0px' : '10px'
  };
});
StyledRow.displayName = "StyledRow";